Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class SpaceEntryImpl

    java.lang.Object
      |
      +--org.w3c.tools.resources.SpaceEntryImpl

public class SpaceEntryImpl
extends java.lang.Object
implements SpaceEntry

Constructor Summary
`SpaceEntryImpl(ContainerResource cont)`

Method Summary
`java.lang.Integer` | `getEntryKey()` Get the Key.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpaceEntryImpl

    public SpaceEntryImpl(ContainerResource cont)

Method Detail

### getEntryKey

    public java.lang.Integer getEntryKey()

  Get the Key. This key must be unique and unchanged during the all life.
  Specified by:
    getEntryKey in interface SpaceEntry
  Returns:
    an int.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD